Bug 227467 - Download Mode for dependent libraries in FX Deployment dialog displays SDK artifacts
Download Mode for dependent libraries in FX Deployment dialog displays SDK ar...
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Deployment
7.3
PC Windows 7
: P3 (vote)
: 7.3.1
Assigned To: Petr Somol
issues@javafx
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-14 12:15 UTC by Petr Somol
Modified: 2013-05-10 14:09 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2013-03-14 12:15:28 UTC
Download Mode should allow setting the mode for dependent project only. SDK artifacts (jfxrt.jar etc) should not be editable in this dialog.
Comment 1 Petr Somol 2013-03-15 15:04:00 UTC
fixed in jetmain
http://hg.netbeans.org/jet-main/rev/74e483a4d2ab
Comment 2 Quality Engineering 2013-03-17 01:53:54 UTC
Integrated into 'main-golden', will be available in build *201303162300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/74e483a4d2ab
User: Petr Somol <psomol@netbeans.org>
Log: #227467 - Download Mode for dependent libraries in FX Deployment dialog displays SDK artifacts
Comment 3 Petr Somol 2013-04-08 12:18:02 UTC
Just discovered that the bug reappears with JDK8 due to changed location of jfxrt.jar.
Comment 4 Petr Somol 2013-04-08 12:37:18 UTC
extended the fix to cover changes in JDK8 file structure:
http://hg.netbeans.org/jet-main/rev/9e973c93ef76
Comment 5 Stepan Zebra 2013-04-19 14:27:25 UTC
verified in trunk
Comment 6 Petr Somol 2013-04-22 08:54:13 UTC
74e483a4d2ab transplanted to 86d2af8ee7c3 in release73
9e973c93ef76 transplanted to fe21a4063592 in release73
increased spec version in b30c4fab38e1
Comment 7 Quality Engineering 2013-04-23 00:08:17 UTC
Integrated into 'releases', will be available in build *201304222201* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/86d2af8ee7c3
User: Petr Somol <psomol@netbeans.org>
Log: #227467 - Download Mode for dependent libraries in FX Deployment dialog displays SDK artifacts
Comment 8 Stepan Zebra 2013-05-10 14:09:50 UTC
verified in 7.3.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo